#!/bin/sh
# Copyright 2009 Nick White
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
# Installs Planescape: Torment (4CD version) minimal

scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
source "$scriptdir/includes/cd-includes.sh"

parseargs "$@"

checkforbin unshield

getcd 1 5e8c2075163aca124de4a467fb33063d data1.cab

mkdir -p "$TARGETDIR" || die

unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die

cp -R "$TARGETDIR"/program_executable_files/* "$TARGETDIR" || die
rm -r "$TARGETDIR"/program_executable_files

cp $CDMOUNT/torment.ico "$TARGETDIR" || die

mkdir -p "$TARGETDIR/save" || die

setperms "$TARGETDIR"
